#!/bin/bash
# pre-update script sample

UPDATE_DIR=$1
UPDATE_WORKING=$2

# Identify ourself in log
echo $0

# Do what ever we have to do before RPM update is launched

# Check if we are updating an ISO from 65 release
if rpm -q nsg-5.2.0-65.x86_64; then
  echo " NSG 65 release found...Installing dependent RPMs.before starting actual upgrade.."
  while read line
  do
	# check if rpm already present in system, if yes then ignore..
	if rpm -q $line; then
		echo "RPM $line already present..\n"
	else
		echo "Installing dependent RPM :$line"
		/bin/rpm -Uvh ${UPDATE_DIR}/RPMS/$line.rpm
		if [ $? -ne 0 ]; then
			echo "Error: Failed to install dependent RPM: $line"
			exit 1
		fi
  		echo -n "Installed successfully RPM :$line"
	fi
  done < "${UPDATE_DIR}/scripts/NSG-5.2-65-to-GA-Dependent-RPMs.txt"
fi

# Services to stop prior updating system (space separated)
#SERVICES="sngmonit"

for SERVICE in $SERVICES
do
  service $SERVICE status &> /dev/null
  if [ $? -eq 0 ]; then
    service $SERVICE stop
  fi
done


