<?php

///////////////////////////////////////////////////////////////////////////////
//
// Copyright 2010 ClearFoundation.
//
///////////////////////////////////////////////////////////////////////////////
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
///////////////////////////////////////////////////////////////////////////////

require_once("../../gui/Webconfig.inc.php");
require_once(GlobalGetLanguageTemplate(__FILE__));
require_once("../include/SngProduct.class.php");
	
///////////////////////////////////////////////////////////////////////////////
//
// Variables
//
///////////////////////////////////////////////////////////////////////////////
$productName = "";
$prodDefFilePath = "/usr/local/sng/conf/prod-def.xml";

///////////////////////////////////////////////////////////////////////////////
//
// Main
//
///////////////////////////////////////////////////////////////////////////////

// Set the product name according to the parameter "product" given in the 
// request
if( isset($_REQUEST['product']) ) {
  registerProduct($_REQUEST['product']);
}

//Determine the gateway type
$licenseConfFilePath = "/usr/local/sng/conf/prod-def.xml";
$product = determine_gateway_type($licenseConfFilePath);

if ($product == "netborder voip gateway")
	$productName = "NVG";
elseif ($product == "netborder ss7 gateway")
	$productName = "NSG";
else
	$productName = "NSG";

//$productName = getProductName();

WebAuthenticate();
WebHeader(WEB_LANG_PAGE_TITLE);
WebDialogIntro(WEB_LANG_PAGE_TITLE, "/images/icon-diskusage.png", WEB_LANG_PAGE_INTRO);

/* if( $productName == "" ) {
  WebDialogWarning("Product Name was not registered properly");
  exit();
} */

$versionXmlFilePath = GetVersionXmlFile($prodDefFilePath, $productName);

if (file_exists($versionXmlFilePath)){
  $prodXml = simplexml_load_file($versionXmlFilePath);
}
else {
  WebDialogWarning("About file does not exist");
  exit();
}

DisplayProductVersion($prodXml,$productName);

WebFooter();


///////////////////////////////////////////////////////////////////////////////
// F U N C T I O N S
///////////////////////////////////////////////////////////////////////////////


function GetVersionXmlFile($in_licenseConfFilePath, $in_productName)
{

  $versionFile = "";
  $xml = parseProdDefXML($in_licenseConfFilePath);

  if( !getProductValue($xml, $in_productName, "about", $versionFile) ) {
    WebDialogWarning("Unable to find about file.");
    exit();
  }

  return $versionFile;
}

function DisplayProductVersion($in_xml, $productName) {
  if ($productName == "NVG") {
	  WebTableOpen("Netborder VoIP Gateway v" . $in_xml['product_version']. 
               "-" . $in_xml['release_version']);
  }
  else {
  	WebTableOpen($in_xml['full_name'] . " v" . $in_xml['product_version']. 
               "-" . $in_xml['release_version']);
  }
  WebTableHeader("Module|Branch|Reference|Date");

  $i = 0;
  foreach ($in_xml->component as $comp) {
    if($i & 1){
      //$i is odd, apply rowenabledalt style
      DisplayComponentRow($comp, "rowenabledalt");
    }
    else {
      //$i is even, apply rowenabled style
      DisplayComponentRow($comp, "rowenabled");
    }
    $i++;
  }

  WebTableClose();
}

function DisplayComponentRow($in_xml_component, $css_class, $productName = "NSG") {

  echo "<tr>";
  echo "<td class='$css_class'>";
  echo $in_xml_component['repo'];
  echo "</td>";
  echo "<td class='$css_class'>";
  echo $in_xml_component['branch'];
  echo "</td>";
  echo "<td class='$css_class'>";
  echo $in_xml_component->commit[0]['hash'];
  echo "</td>";
  echo "<td class='$css_class'>";
  echo $in_xml_component->commit[0]['date'];
  echo "</td>";
  echo "</tr>";
}

?>
