<?php

///////////////////////////////////////////////////////////////////////////////
//
// Copyright 2010 ClearFoundation.
//
///////////////////////////////////////////////////////////////////////////////
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
///////////////////////////////////////////////////////////////////////////////

require_once("../../gui/Webconfig.inc.php");
//require_once(GlobalGetLanguageTemplate(__FILE__));
require_once("../include/SngProduct.class.php");

//Determine the gateway type
$licenseConfFilePath = "/usr/local/sng/conf/prod-def.xml";
$product = determine_gateway_type($licenseConfFilePath);

if ($product == "netborder voip gateway")
	$productName = "NVG";
elseif ($product == "netborder ss7 gateway")
	$productName = "NSG";
else
	$productName = "NSG";

define("WEB_LANG_IFRAME_NOT_SUPPORTED", "Sorry...your browser does not support Iframes.");
define("WEB_LANG_PAGE_INTRO", "View VLAN Configuration Statistics.");

if ($product == "netborder voip gateway") {
	define("WEB_LANG_SS7_GW_NOT_YET_AVAILABLE", "Netborder VoIP Media Gateway service is not started.");
	define("WEB_LANG_PAGE_TITLE", "Netborder VoIP Media Gateway - VLAN Status");
}
elseif ($product == "netborder ss7 gateway") {
	define("WEB_LANG_SS7_GW_NOT_YET_AVAILABLE", "Netborder SS7 to VoIP Media Gateway service is not started.");
	define("WEB_LANG_PAGE_TITLE", "Netborder SS7 to VoIP Media Gateway - VLAN Status");
}
else {
	define("WEB_LANG_SS7_GW_NOT_YET_AVAILABLE", "Netborder SS7 to VoIP Media Gateway service is not started.");
	define("WEB_LANG_PAGE_TITLE", "Netborder SS7 to VoIP Media Gateway - VLAN Status");
}

///////////////////////////////////////////////////////////////////////////////
//
// Main
//
///////////////////////////////////////////////////////////////////////////////

WebAuthenticate();
WebHeader(WEB_LANG_PAGE_TITLE);
// TODO - Add sangoma icon to the repository and replace the diskusage icon
WebDialogIntro(WEB_LANG_PAGE_TITLE, "/images/icon-diskusage.png", WEB_LANG_PAGE_INTRO);

exec("pidof nsg-webgui",$output);
if ($output[0] > 0) {
	ShowSS7GWIndex();
	echo "<br />";
	unset ($output);
  // Display routes
  routeinfo();
	echo "<br />";
  // Display vlan status
	exec ('ls /proc/net/vlan/ | grep "eth"',$output);
	
	foreach ($output as $out) {
		vlaninfo($out);
		echo "<br />";
	}
}
else
	WebDialogWarning(WEB_LANG_SS7_GW_NOT_YET_AVAILABLE);

WebFooter();

///////////////////////////////////////////////////////////////////////////////
// F U N C T I O N S
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
//
// DisplayUsage
//
///////////////////////////////////////////////////////////////////////////////

function ShowSS7GWIndex()
{
	WebTableOpen('VLAN Status');
	echo "<tr>";
	echo "<td><pre>";
	exec ("sudo /bin/cat /proc/net/vlan/config", $output);
	foreach ($output as $out)
		echo $out . "\n";
	echo "</pre></td>";
	echo "</tr>";
	WebTableClose();

}

function vlaninfo($out) {	
	WebTableOpen($out . ' Status');
	echo "<tr>";
	echo "<td><pre>";
	exec ("sudo /sbin/ifconfig " . $out, $output2);
	foreach ($output2 as $out2)
		echo $out2 . "\n";
	echo "<br />";
	unset ($output2);
	exec ("sudo /bin/cat /proc/net/vlan/" . $out, $output);
	foreach ($output as $out3)
		echo $out3 . "\n";
	echo "</pre></td>";
	echo "</tr>";
	WebTableClose();
}

function routeinfo() {	
	WebTableOpen('Route');
	echo "<tr>";
	echo "<td><pre>";
	exec ("sudo /sbin/route -n ", $output2);
	foreach ($output2 as $out2)
		echo $out2 . "\n";
	echo "<br />";
	unset ($output2);
	echo "</pre></td>";
	echo "</tr>";
	WebTableClose();
}
?>
